summaryrefslogtreecommitdiff
path: root/community/docker/docker.install
diff options
context:
space:
mode:
authorNicolás Reynolds <fauno@endefensadelsl.org>2014-07-26 03:59:52 +0000
committerNicolás Reynolds <fauno@endefensadelsl.org>2014-07-26 03:59:52 +0000
commit3f8fdc60f0dbd72d350af3927657f9ff97eb249f (patch)
tree65ccd3339fb817893cfd5189826d671a3303385a /community/docker/docker.install
parent29cefdccedfcb48822a8da80b259ed0bb0f73266 (diff)
Sat Jul 26 03:49:34 UTC 2014
Diffstat (limited to 'community/docker/docker.install')
-rw-r--r--community/docker/docker.install11
1 files changed, 11 insertions, 0 deletions
diff --git a/community/docker/docker.install b/community/docker/docker.install
index f730503de..f75fd94aa 100644
--- a/community/docker/docker.install
+++ b/community/docker/docker.install
@@ -8,6 +8,7 @@ post_install() {
# arg 2: the old package version
post_upgrade() {
(( $(vercmp $2 '1:0.7.1-1') < 0 )) && post_install "$1" || true
+ (( $(vercmp $2 '1:1.1.1-2') < 0 )) && socketactivation || true
}
# arg 1: the old package version
@@ -15,4 +16,14 @@ post_remove() {
groupdel docker >/dev/null 2>&1 || true
}
+socketactivation() {
+ if systemctl -q is-enabled docker; then
+ cat << EOF
+The docker service switched to socket activation.
+We will enable the socket file for you. Don't need to thanks us.
+EOF
+ systemctl enable docker.socket
+ fi
+}
+
# vim:set ts=2 sw=2 et: